<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://cdn.bootcdn.net/ajax/libs/moment.js/2.29.0/moment.js"></script>
</head>

<body>
    <div id="demo">
        <h2>显示格式化的日期时间</h2>
        <p>{{date}}</p>
        <!-- dataString要转换的名字 -->
        <p>完整版 {{data | dataString}}</p>
        <p>年月日 {{data | dataString('YYYY-MM-DD')}}</p>
        <p>时分秒 {{data | dataString('HH:mm:ss')}}</p>
    </div>



    <script>
        // 自定义过滤器   参数Value就是要转换的参数
        Vue.filter('dataString', function (value, format) {
            return moment(value).format(format || 'YYYY-MM-DD HH:mm:ss');
        })
        new Vue({
            el: "#demo",
            data: {
                date: new Date(),
            }
        })
    </script>
</body>

</html>